Bug 41474 - make mrproper fixes module build but stomps on version.h
make mrproper fixes module build but stomps on version.h
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-20 22:24 EDT by Scott A. Friedman
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-20 22:24:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott A. Friedman 2001-05-20 22:24:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2smp i686)

Description of problem:
As earlier reports state using 'make mrproper' will allow 'make modules' to
work properly. However, it rewrites version.h to be quite different from
the version shipped. 
Specifically, extensions like smp and enterprise are missing in the
UTS_RELEASE #define. Maybe not a good way to check for things like SMP but
the module I am trying to port does and thought I'd report it anyhow.

How reproducible:
Always

Steps to Reproduce:
1. Install klean kernel source
2. Check out version.h
3. make mrproper oldconfig dep bzImage modules
4. Now look at version.h	

Actual Results:  version.h is now much simplier than it was :-)

#define UTS_RELEASE "2.4.2-2"
#define LINUX_VERSION_CODE 132098
#define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))


Expected Results:  should be the same as it was? no?

#include <linux/rhconfig.h>
#if defined(__module__smp)
#define UTS_RELEASE "2.4.2-2smp"
#elif defined(__module__BOOT)
#define UTS_RELEASE "2.4.2-2BOOT"
#elif defined(__module__enterprise)
#define UTS_RELEASE "2.4.2-2enterprise"
#else
#define UTS_RELEASE "2.4.2-2"
#endif
#define LINUX_VERSION_CODE 132098
#define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))


Additional info:
Comment 1 Arjan van de Ven 2001-05-21 03:45:25 EDT
For checking SMP, try 
#ifdef CONFIG_SMP
...
#endif

the mrproper thing is hard. The whole POINT of having to do make mrproper is to
remove the files we added. Of course this bugs me enough that I'm looking for an
alternative but getting every situation right is nearly impossible.
I'm closing this as "Deferred" as the real solution is still not quite clear.

Note You need to log in before you can comment on or make changes to this bug.